/*
* Définitions des règles générales pour les espacements entre éléments
*/

.pad {
  @for $i from 1 to 10 {
    &--#{$i} {
      padding: #{$i}em;
    }
    &--t#{$i} {
      padding-top: #{$i}em;
    }
    &--r#{$i} {
      padding-right: #{$i}em;
    }
    &--l#{$i} {
      padding-left: #{$i}em;
    }
    &--b#{$i} {
      padding-bottom: #{$i}em;
    }
    &--vert#{$i} {
      padding-bottom: #{$i}em;
      padding-top: #{$i}em;
    }
    &--horiz#{$i} {
      padding-left: #{$i}em;
      padding-right: #{$i}em;
    }
  }
}
.marge {
  @for $i from 1 to 10 {
    &--#{$i} {
      margin: #{$i}em;
    }
    &--t#{$i} {
      margin-top: #{$i}em;
    }
    &--r#{$i} {
      margin-right: #{$i}em;
    }
    &--l#{$i} {
      margin-left: #{$i}em;
    }
    &--b#{$i} {
      margin-bottom: #{$i}em;
    }
    &--vert#{$i} {
      margin-bottom: #{$i}em;
      margin-top: #{$i}em;
    }
    &--horiz#{$i} {
      margin-left: #{$i}em;
      margin-right: #{$i}em;
    }
  }
}
